Bug 1273324 - Elements lose their swimlane
Elements lose their swimlane
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
All All
high Severity medium
: CR1
: 6.2.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 04:34 EDT by Kirill Gaevskii
Modified: 2016-01-08 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unpinning of elements inside a swimlane (1.82 MB, application/octet-stream)
2015-10-20 04:34 EDT, Kirill Gaevskii
no flags Details
Elements lose their swimlane 6.2.CR1 (3.50 MB, application/ogg)
2015-11-18 06:49 EST, Kirill Gaevskii
no flags Details

  None (edit)
Description Kirill Gaevskii 2015-10-20 04:34:59 EDT
Created attachment 1084655 [details]
Unpinning of elements inside a swimlane

Description of problem:
If you have two swimlanes and try to move some elements inside first of them and whole second swimlane - selected elements from first swimlane will be unpinned from first swimlane (see attachment). 

Version-Release number of selected component (if applicable):
6.2.ER4

How reproducible:
always

Steps to Reproduce:
1. Create business process with two swimlanes and some elements in it
2. Select some elements from one swimlane and whole second swimlane
3. Move second swimlane

Actual results:
First swimlane will lose all selected elements. (see attachment)

Expected results:
All elements which was inside the first swimlane and stay there after moving will stay inside the swimlane.

Additional info:
Related bug 1230212
Comment 2 Kirill Gaevskii 2015-11-06 06:07:54 EST
Not possible to verify because bug 1278756
Comment 5 Kirill Gaevskii 2015-11-18 06:48:28 EST
Nothing changed. Maybe because bug 1275339 was also fixed. See attachment.
Comment 6 Kirill Gaevskii 2015-11-18 06:49 EST
Created attachment 1095982 [details]
Elements lose their swimlane 6.2.CR1
Comment 7 Tihomir Surdilovic 2015-12-08 12:47:21 EST
The changes to 1275339 did not cover this fully. 

PR master: https://github.com/droolsjbpm/jbpm-designer/pull/105

Note You need to log in before you can comment on or make changes to this bug.